From: Felix Fietkau <nbd@nbd.name>
Date: Fri, 17 Mar 2017 15:12:27 +0000 (+0100)
Subject: base-files: add generic board_name function to functions.sh
X-Git-Url: http://git.cdn.openwrt.org/?a=commitdiff_plain;h=ec991424749b9eed37d01bc8adb9fb22fb0c98a7;p=openwrt%2Fstaging%2Fneocturne.git

base-files: add generic board_name function to functions.sh

This will be used to replace all those nasty board specific scripts
that do basically the same thing

Signed-off-by: Felix Fietkau <nbd@nbd.name>
---

diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index b68db6b6bd..2b6415a200 100755
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -353,4 +353,8 @@ user_exists() {
 	grep -qs "^${1}:" ${IPKG_INSTROOT}/etc/passwd
 }
 
+board_name() {
+	[ -e /tmp/sysinfo/board_name ] && cat /tmp/sysinfo/board_name || echo "generic"
+}
+
 [ -z "$IPKG_INSTROOT" -a -f /lib/config/uci.sh ] && . /lib/config/uci.sh